/**
 * @typedef {string} hex hexadecimal string (RGB[A] or RRGGBB[AA]).
 */
/**
 * Updates a color based on a hexadecimal string.
 * @alias module:pex-color.fromHex
 * @param {import("./color.js").color} color
 * @param {hex} hex Leading '#' is optional.
 * @returns {import("./color.js").color}
 */
export function fromHex(color: import("./color.js").color, hex: hex): import("./color.js").color;
/**
 * Returns a hexadecimal string representation of a given color.
 * @alias module:pex-color.toHex
 * @param {import("./color.js").color} color
 * @param {boolean} alpha Handle alpha
 * @returns {hex}
 */
export function toHex(color: import("./color.js").color, alpha?: boolean): hex;
/**
 * hexadecimal string (RGB[A] or RRGGBB[AA]).
 */
export type hex = string;
