/**
 * Updates a color based on HSL values and alpha.
 * @alias module:pex-color.fromHSL
 * @param {import("./color.js").color} color
 * @param {number} h
 * @param {number} s
 * @param {number} l
 * @param {number} [a]
 * @returns {import("./color.js").color}
 */
export function fromHSL(color: import("./color.js").color, h: number, s: number, l: number, a?: number): import("./color.js").color;
/**
 * Returns a HSL representation of a given color.
 * @alias module:pex-color.toHSL
 * @param {import("./color.js").color} color
 * @param {Array} out
 * @returns {hsl}
 */
export function toHSL([r, g, b, a]: import("./color.js").color, out?: any[]): hsl;
/**
 * hue, saturation, lightness.
 *
 * All components in the range 0 <= x <= 1
 */
export type hsl = number[];
