/**
 * Updates a color based on Okhsv values and alpha.
 * @alias module:pex-color.fromOkhsv
 * @param {import("./color.js").color} color
 * @param {number} h
 * @param {number} s
 * @param {number} v
 * @param {number} [α]
 * @returns {import("./color.js").color}
 */
export function fromOkhsv(color: import("./color.js").color, h: number, s: number, v: number, α?: number): import("./color.js").color;
/**
 * Returns an Okhsv representation of a given color.
 * @alias module:pex-color.toOkhsv
 * @param {import("./color.js").color} color
 * @param {Array} out
 * @returns {okhsv}
 */
export function toOkhsv(color: import("./color.js").color, out?: any[]): okhsv;
/**
 * All components in the range 0 <= x <= 1
 */
export type okhsv = number[];
